# Update an article

You can update the details of a single article by making a PUT request to `https://api.intercom.io/articles/<id>`.

Endpoint: PUT /articles/{id}
Version: 2.9
Security: bearerAuth

## Path parameters:

  - `id` (integer, required)
    The unique identifier for the article which is given by Intercom.

## Header parameters:

  - `Intercom-Version` (string)

## Request fields (application/json):

  - `title` (string)
    The title of the article.For multilingual articles, this will be the title of the default language's content.
    Example: Thanks for everything

  - `description` (string)
    The description of the article. For multilingual articles, this will be the description of the default language's content.
    Example: Description of the Article

  - `body` (string)
    The content of the article. For multilingual articles, this will be the body of the default language's content.
    Example: <p>This is the body in html</p>

  - `author_id` (integer)
    The id of the author of the article. For multilingual articles, this will be the id of the author of the default language's content. Must be a teammate on the help center's workspace.
    Example: 1295

  - `state` (string)
    Whether the article will be `published` or will be a `draft`. Defaults to draft. For multilingual articles, this will be the state of the default language's content.
    Enum: "published", "draft"

  - `parent_id` (string)
    The id of the article's parent collection or section. An article without this field stands alone.
    Example: 18

  - `parent_type` (string)
    The type of parent, which can either be a `collection` or `section`.
    Example: collection

  - `translated_content` (object)
    The Translated Content of an Article. The keys are the locale codes and the values are the translated content of the article.

  - `translated_content.type` (string)
    The type of object - article_translated_content.
    Enum: null, "article_translated_content"

  - `translated_content.ar` (object)
    The Content of an Article.

  - `translated_content.ar.type` (string)
    The type of object - `article_content` .
    Enum: null, "article_content"

  - `translated_content.ar.title` (string)
    The title of the article.
    Example: How to create a new article

  - `translated_content.ar.description` (string)
    The description of the article.
    Example: This article will show you how to create a new article.

  - `translated_content.ar.body` (string)
    The body of the article.
    Example: This is the body of the article.

  - `translated_content.ar.author_id` (integer)
    The ID of the author of the article.
    Example: 5017691

  - `translated_content.ar.state` (string)
    Whether the article is `published` or is a `draft` .
    Enum: "published", "draft"

  - `translated_content.ar.created_at` (integer)
    The time when the article was created (seconds).
    Example: 1663597223

  - `translated_content.ar.updated_at` (integer)
    The time when the article was last updated (seconds).
    Example: 1663597260

  - `translated_content.ar.url` (string)
    The URL of the article.
    Example: http://intercom.test/help/en/articles/3-default-language

## Response 200 fields (application/json):

  - `type` (string)
    The type of object - `article`.
    Enum: "article"

  - `id` (string)
    The unique identifier for the article which is given by Intercom.
    Example: 6871119

  - `workspace_id` (string)
    The id of the workspace which the article belongs to.
    Example: hfi1bx4l

  - `title` (string)
    The title of the article. For multilingual articles, this will be the title of the default language's content.
    Example: Default language title

  - `description` (string)
    The description of the article. For multilingual articles, this will be the description of the default language's content.
    Example: Default language description

  - `body` (string)
    The body of the article in HTML. For multilingual articles, this will be the body of the default language's content.
    Example: Default language body in html

  - `author_id` (integer)
    The id of the author of the article. For multilingual articles, this will be the id of the author of the default language's content. Must be a teammate on the help center's workspace.
    Example: 5017691

  - `state` (string)
    Whether the article is `published` or is a `draft`. For multilingual articles, this will be the state of the default language's content.
    Enum: "published", "draft"

  - `created_at` (integer)
    The time when the article was created. For multilingual articles, this will be the timestamp of creation of the default language's content in seconds.
    Example: 1672928359

  - `updated_at` (integer)
    The time when the article was last updated. For multilingual articles, this will be the timestamp of last update of the default language's content in seconds.
    Example: 1672928610

  - `url` (string)
    The URL of the article. For multilingual articles, this will be the URL of the default language's content.
    Example: http://intercom.test/help/en/articles/3-default-language

  - `parent_id` (integer)
    The id of the article's parent collection or section. An article without this field stands alone.
    Example: 125685

  - `parent_ids` (array)
    The ids of the article's parent collections or sections. An article without this field stands alone.
    Example: [18,19]

  - `parent_type` (string)
    The type of parent, which can either be a `collection` or `section`.
    Example: collection

  - `default_locale` (string)
    The default locale of the help center. This field is only returned for multilingual help centers.
    Example: en

  - `translated_content` (object)
    The Translated Content of an Article. The keys are the locale codes and the values are the translated content of the article.

  - `translated_content.type` (string)
    The type of object - article_translated_content.
    Enum: null, "article_translated_content"

  - `translated_content.ar` (object)
    The Content of an Article.

  - `translated_content.ar.type` (string)
    The type of object - `article_content` .
    Enum: null, "article_content"

  - `translated_content.ar.title` (string)
    The title of the article.
    Example: How to create a new article

  - `translated_content.ar.description` (string)
    The description of the article.
    Example: This article will show you how to create a new article.

  - `translated_content.ar.body` (string)
    The body of the article.
    Example: This is the body of the article.

  - `translated_content.ar.author_id` (integer)
    The ID of the author of the article.
    Example: 5017691

  - `translated_content.ar.state` (string)
    Whether the article is `published` or is a `draft` .
    Enum: "published", "draft"

  - `translated_content.ar.created_at` (integer)
    The time when the article was created (seconds).
    Example: 1663597223

  - `translated_content.ar.updated_at` (integer)
    The time when the article was last updated (seconds).
    Example: 1663597260

  - `translated_content.ar.url` (string)
    The URL of the article.
    Example: http://intercom.test/help/en/articles/3-default-language

## Response 401 fields (application/json):

  - `type` (string, required)
    The type is error.list
    Example: error.list

  - `request_id` (string)
    Example: f93ecfa8-d08a-4325-8694-89aeb89c8f85

  - `errors` (array, required)
    An array of one or more error objects

  - `errors.code` (string, required)
    A string indicating the kind of error, used to further qualify the HTTP response code
    Example: unauthorized

  - `errors.message` (string)
    Optional. Human readable description of the error.
    Example: Access Token Invalid

  - `errors.field` (string)
    Optional. Used to identify a particular field or query parameter that was in error.
    Example: email

## Response 404 fields (application/json):

  - `type` (string, required)
    The type is error.list
    Example: error.list

  - `request_id` (string)
    Example: f93ecfa8-d08a-4325-8694-89aeb89c8f85

  - `errors` (array, required)
    An array of one or more error objects

  - `errors.code` (string, required)
    A string indicating the kind of error, used to further qualify the HTTP response code
    Example: unauthorized

  - `errors.message` (string)
    Optional. Human readable description of the error.
    Example: Access Token Invalid

  - `errors.field` (string)
    Optional. Used to identify a particular field or query parameter that was in error.
    Example: email

